%define oname	gusb

%define major	2
%define girapi	1.0
%define libname	%mklibname %{oname} %{major}
%define girname	%mklibname %{oname}-gir %{girapi}
%define devname	%mklibname %{oname} -d

Summary:	GLib wrapper around libusb1
Name:		libgusb
Version:	0.4.9
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://gitorious.org/gusb/
Source0:	https://github.com/hughsie/libgusb/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libusb-1.0) >= 1.0.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(umockdev-1.0)
BuildRequires:	gi-docgen
BuildRequires:	vala-devel
BuildRequires:	vala-tools
BuildRequires:	meson
BuildRequires:	ninja

%description
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a main-loop.

%package -n %{libname}
Summary:	GLib wrapper around libusb1
Group:		System/Libraries

%description -n %{libname}
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a main-loop.

%package -n	%{girname}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries

%description -n	%{girname}
GObject Introspection interface library for %{name}.

%package -n %{devname}
Summary:	Development libraries and headers for %{oname}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{oname}.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install -C build

%files -n %{libname}
%doc README.md AUTHORS NEWS
%license COPYING
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GUsb-%{girapi}.typelib

%files -n%{devname}
%doc %{_datadir}/doc/%{name}
%{_includedir}/%{oname}-1
%{_bindir}/gusbcmd
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{oname}.pc
%{_datadir}/gir-1.0/GUsb-%{girapi}.gir
%{_datadir}/vala/vapi/gusb.*


%changelog
* Mon Aug 26 2024 mrambo3501 <mrambo3501> 0.4.9-1.mga10
+ Revision: 2091541
- version 0.4.9

* Tue Oct 17 2023 daviddavid <daviddavid> 0.4.7-1.mga10
+ Revision: 1997862
- new version 0.4.7

* Mon Sep 04 2023 daviddavid <daviddavid> 0.4.6-1.mga10
+ Revision: 1984078
- new version: 0.4.6

* Fri Feb 10 2023 luigiwalser <luigiwalser> 0.4.5-1.mga9
+ Revision: 1939970
- 0.4.5

* Wed Feb 01 2023 luigiwalser <luigiwalser> 0.4.4-1.mga9
+ Revision: 1937450
- 0.4.4

* Wed Dec 28 2022 luigiwalser <luigiwalser> 0.4.3-1.mga9
+ Revision: 1927442
- 0.4.3
- update source URL

* Fri Nov 11 2022 luigiwalser <luigiwalser> 0.4.2-1.mga9
+ Revision: 1905632
- 0.4.2

* Tue Oct 04 2022 luigiwalser <luigiwalser> 0.4.1-1.mga9
+ Revision: 1894696
- 0.4.1
- 0.4.0

* Sun Apr 03 2022 umeabot <umeabot> 0.3.10-2.mga9
+ Revision: 1841530
- Mageia 9 Mass Rebuild

* Wed Jan 26 2022 mrambo3501 <mrambo3501> 0.3.10-1.mga9
+ Revision: 1769892
- version 0.3.10

* Fri Dec 10 2021 luigiwalser <luigiwalser> 0.3.9-1.mga9
+ Revision: 1761334
- 0.3.9

* Fri Oct 22 2021 luigiwalser <luigiwalser> 0.3.8-1.mga9
+ Revision: 1752558
- 0.3.8

* Sun Jul 04 2021 luigiwalser <luigiwalser> 0.3.7-1.mga9
+ Revision: 1734719
- 0.3.7

* Fri Mar 12 2021 daviddavid <daviddavid> 0.3.6-1.mga9
+ Revision: 1701828
- new version: 0.3.6

* Fri Aug 07 2020 luigiwalser <luigiwalser> 0.3.5-1.mga8
+ Revision: 1611717
- 0.3.5

* Thu Mar 19 2020 luigiwalser <luigiwalser> 0.3.4-1.mga8
+ Revision: 1557980
- 0.3.4

* Thu Feb 20 2020 umeabot <umeabot> 0.3.3-2.mga8
+ Revision: 1547383
- Mageia 8 Mass Rebuild

* Sun Feb 09 2020 luigiwalser <luigiwalser> 0.3.3-1.mga8
+ Revision: 1488098
- 0.3.3

* Wed Jan 15 2020 luigiwalser <luigiwalser> 0.3.2-1.mga8
+ Revision: 1478116
- 0.3.2

* Sun Nov 17 2019 daviddavid <daviddavid> 0.3.1-1.mga8
+ Revision: 1461370
- new version: 0.3.1

* Wed Apr 17 2019 umeabot <umeabot> 0.3.0-4.mga7
+ Revision: 1392745
- Rebuild with meson 0.50.1

* Thu Nov 29 2018 daviddavid <daviddavid> 0.3.0-3.mga7
+ Revision: 1336669
- split out in a separate sub-pkg the GObject Introspection interface library

* Sun Sep 23 2018 umeabot <umeabot> 0.3.0-2.mga7
+ Revision: 1298898
- Mageia 7 Mass Rebuild

* Sat Apr 07 2018 kekepower <kekepower> 0.3.0-1.mga7
+ Revision: 1215777
- Update to version 0.3.0

* Fri Apr 14 2017 luigiwalser <luigiwalser> 0.2.10-1.mga6
+ Revision: 1096525
- 0.2.10

* Mon May 09 2016 luigiwalser <luigiwalser> 0.2.9-1.mga6
+ Revision: 1011463
- 0.2.9

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.2.8-1.mga6
+ Revision: 917745
- 0.2.8

* Tue Sep 15 2015 ovitters <ovitters> 0.2.7-1.mga6
+ Revision: 879634
- new version 0.2.7

* Sun Jun 21 2015 ovitters <ovitters> 0.2.5-1.mga6
+ Revision: 837811
- new version 0.2.5

* Fri Jan 09 2015 ovitters <ovitters> 0.2.4-1.mga5
+ Revision: 809614
- new version 0.2.4

* Fri Jan 09 2015 ovitters <ovitters> 0.2.2-1.mga5
+ Revision: 809565
- new version 0.2.2

* Wed Oct 15 2014 umeabot <umeabot> 0.1.6-5.mga5
+ Revision: 748861
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.1.6-4.mga5
+ Revision: 724916
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.1.6-3.mga5
+ Revision: 681517
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 ovitters <ovitters> 0.1.6-2.mga5
+ Revision: 645479
+ rebuild (emptylog)

* Fri Oct 18 2013 umeabot <umeabot> 0.1.6-2.mga4
+ Revision: 522450
- Mageia 4 Mass Rebuild

* Wed Mar 06 2013 luigiwalser <luigiwalser> 0.1.6-1.mga3
+ Revision: 401585
- 0.1.6

* Tue Feb 12 2013 luigiwalser <luigiwalser> 0.1.5-1.mga3
+ Revision: 397939
- 0.1.5

* Sat Jan 12 2013 umeabot <umeabot> 0.1.4-2.mga3
+ Revision: 357434
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 luigiwalser <luigiwalser> 0.1.4-1.mga3
+ Revision: 338444
- 0.1.4

* Tue Dec 06 2011 wally <wally> 0.1.3-1.mga2
+ Revision: 177893
- new version 0.1.3

* Mon Nov 28 2011 wally <wally> 0.1.2-1.mga2
+ Revision: 173792
- imported package libgusb

